Bug 3403 - kernel-smp-2.2.5-22 without apm support
kernel-smp-2.2.5-22 without apm support
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-11 01:55 EDT by james.baum
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-12 13:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james.baum 1999-06-11 01:55:55 EDT
kernel-smp-2.2.5-22 does not have apm support.
See also bug #2003
This means that apmd fails with an alarming (for newbies)
red warning on boot, and that it does not support power off
on halt. kernel-smp-2.2.5-22.i686.rpm (ie. pentiumII) is the
culprit (I see that there are several smp kernels for the
x86 family).
The non-smp version does have apm support.
Comment 1 Alan Cox 1999-06-12 09:04:59 EDT
The kernel is correct. apmd should have a check for
	if [ -f /proc/apm ]; then

(APM isn't specified for SMP hardware)

Alan
Comment 2 Jeff Johnson 1999-06-12 13:33:59 EDT
Fixed (by "[ -e /proc/apm ] || exit 0" in init) in apmd-3.0beta5-11.

Note You need to log in before you can comment on or make changes to this bug.